Package net.shibboleth.idp.conf.impl

# Class RegisterFilterChainServletContextInitializer

java.lang.Object
net.shibboleth.idp.conf.impl.RegisterFilterChainServletContextInitializer

All Implemented Interfaces:
  `ServletContainerInitializer`

public class RegisterFilterChainServletContextInitializer extends Object implements ServletContainerInitializer
A `ServletContainerInitializer` implementation that registers a filter chain embedded in our Spring configuration.

The filter registration is on by default but can be disabled by setting the context init-param `INIT_PARAMETER_ACTIVATION` to false.

The chain is always mapped to all requests because it is expected that any further granularity is configured via Spring.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FILTER_NAME`
The filter name for the embedded filter chain.
`static final String`
`INIT_PARAMETER_ACTIVATION`
System property name for the activation of this class.
`private final org.slf4j.Logger`
`log`
Class logger.
`static final String`
`TARGET_BEAN_NAME`
The target bean name for the chain filter.

## Constructor Summary

Constructors
Constructor
Description
`RegisterFilterChainServletContextInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onStartup(Set<Class<?>> c, ServletContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INIT_PARAMETER_ACTIVATION

@Nonnull @NotEmpty public static final String INIT_PARAMETER_ACTIVATION
System property name for the activation of this class.

See Also:
  - Constant Field Values

### FILTER_NAME

@Nonnull @NotEmpty public static final String FILTER_NAME
The filter name for the embedded filter chain.

See Also:
  - Constant Field Values

### TARGET_BEAN_NAME

@Nonnull @NotEmpty public static final String TARGET_BEAN_NAME
The target bean name for the chain filter.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### RegisterFilterChainServletContextInitializer

public RegisterFilterChainServletContextInitializer()

## Method Details

### onStartup

public void onStartup(Set<Class<?>> c, ServletContext ctx) throws ServletException

Specified by:
  `onStartup` in interface `ServletContainerInitializer`
Throws:
  `ServletException`